From 2d0f93984f53c19925f07d742584f5e3e69d7902 Mon Sep 17 00:00:00 2001
From: Nic Watson <github@nicwatson.org>
Date: Wed, 7 Oct 2020 12:44:30 -0400
Subject: [PATCH] Get pypy3 passing tests

---
 .travis.yml          | 2 +-
 tests/cursor_test.py | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/tests/cursor_test.py b/tests/cursor_test.py
index acfb0ea..22dd6f8 100644
--- a/tests/cursor_test.py
+++ b/tests/cursor_test.py
@@ -245,7 +245,7 @@ def setUp(self, redo=False):
         self.txn = self.env.begin(write=True)
         self.c = self.txn.cursor()
 
-    @unittest.skipIf(sys.platform != 'linux', "test only works on Linux")
+    @unittest.skipIf(not sys.platform.startswith('linux'), "test only works on Linux")
     def test_preload(self):
         """
         Test that reading just the key doesn't prefault the value contents, but
@@ -264,13 +264,13 @@ def test_preload(self):
         self.path, self.env = testlib.temp_env(path=self.path, writemap=True)
         self.txn = self.env.begin(write=True, buffers=True)
         self.c = self.txn.cursor()
-        minflts_before = resource.getrusage(resource.RUSAGE_THREAD)[6]
+        minflts_before = resource.getrusage(resource.RUSAGE_SELF)[6]
         self.c.set_key(B('a'))
         assert self.c.key() == B('a')
-        minflts_after_key = resource.getrusage(resource.RUSAGE_THREAD)[6]
+        minflts_after_key = resource.getrusage(resource.RUSAGE_SELF)[6]
 
         self.c.value()
-        minflts_after_value = resource.getrusage(resource.RUSAGE_THREAD)[6]
+        minflts_after_value = resource.getrusage(resource.RUSAGE_SELF)[6]
 
         epsilon = 20
 
